Event Markers

List Event Markers

Returns marker events in a collection, optionally filtered by an inclusive time range.

GET
/v0/project/{idOrSlug}/event-marker-collections/{collectionId}/events

Returns marker events in a collection, optionally filtered by an inclusive time range.

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string
collectionId*string

Query Parameters

from?|null
to?|null
limit?||null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v0/project/string/event-marker-collections/string/events"
[  {    "id": "string",    "projectId": "string",    "collectionId": "string",    "timestamp": "string",    "title": "string",    "description": "string",    "icon": "string",    "emoji": "string",    "color": "string",    "metadata": {},    "externalId": "string",    "createdAt": "string",    "updatedAt": "string"  }]
{  "_tag": "EventMarkerValidationError",  "message": "string"}
{  "_tag": "UnauthorizedError",  "message": "string"}
{  "_tag": "ForbiddenError",  "message": "string",  "code": "string"}
{  "_tag": "NotFoundError",  "message": "string"}